#![no_std]
#![no_main]

use ch32v00x_hal as hal;

use embedded_hal::blocking::delay::DelayUs;

use hal::println;
use hal::debug::SDIPrint;
use hal::delay::CycleDelay;
use hal::pac::Peripherals;
use hal::prelude::*;

use panic_halt as _;

#[qingke_rt::entry]
fn main() -> ! {
    SDIPrint::enable();

    let p = Peripherals::take().unwrap();

    let mut rcc = p.RCC.constrain();
    let clocks = rcc.config.freeze();

    let gpioc = p.GPIOC.split(&mut rcc);
    let mut led = gpioc.pc1.into_push_pull_output();

    println!("Hello, world!\r");

    let mut delay = CycleDelay::new(&clocks);
    loop {
        println!(".\r");
        led.toggle();
        delay.delay_us(500_000u32);
    }
}
